html,body {
    margin: 0;
    padding: 0;
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
}
p {
    position: relative;
    margin: 0;
    top:0;
    left:0;
}
.main {
    width:100%;
    height:100%;
    :is(div) {
        position: relative;
        top:0;
        left:0;
        display:flex;
    }
}
.modal {
    border: 2px solid;
    border-image: conic-gradient(in hsl longer hue, red 0 0) stretch;
    :has(#welcome) {
        border-radius: 5cap;
    }
}